## BudgieRavenWidget BudgieRavenWidget |

## Functions

BudgieRavenWidget * | budgie_raven_widget_new ()
GtkWidget * | budgie_raven_widget_build_settings_ui ()
void | budgie_raven_widget_initialize ()
gchar * | budgie_raven_widget_get_uuid ()
GSettings * | budgie_raven_widget_get_instance_settings ()

## Signals

void | raven-expanded | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── BudgieRavenWidget

## Description

## Functions

### budgie_raven_widget_new ()

    BudgieRavenWidget *
    budgie_raven_widget_new (void);

### budgie_raven_widget_build_settings_ui ()

    GtkWidget *
    budgie_raven_widget_build_settings_ui (BudgieRavenWidget *self);

#### Parameters

self | A BudgieRavenWidget |

#### Returns

The settings UI to be presented in Budgie Desktop Settings for this widget instance.

[transfer full]

### budgie_raven_widget_initialize ()

    void
    budgie_raven_widget_initialize (BudgieRavenWidget *self,
                                    const char *uuid,
                                    GSettings *instance_settings);

### budgie_raven_widget_get_uuid ()

    gchar *
    budgie_raven_widget_get_uuid (BudgieRavenWidget *self);

### budgie_raven_widget_get_instance_settings ()

    GSettings *
    budgie_raven_widget_get_instance_settings
                                   (BudgieRavenWidget *self);

#### Parameters

self | A BudgieRavenWidget |

#### Returns

The settings object for this widget instance.

[transfer none]

## Signal Details

### The `“raven-expanded”` signal

    void
    user_function (BudgieRavenWidget *budgieravenwidget,
                   gboolean           arg1,
                   gpointer           user_data)

Flags: Run Last